package intrinsic.mx.events;

public class CalendarLayoutChangeEvent extends intrinsic.flash.events.Event {

	/** Accessors */

	/** Variables */
	public intrinsic.flash.events.Event triggerEvent;
	public intrinsic.Date newDate;

	/** Constants */
	public static final String VERSION = "version";
	public static final String CHANGE = "change";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public CalendarLayoutChangeEvent() {
}

public CalendarLayoutChangeEvent(String arg0) {
}

public CalendarLayoutChangeEvent(String arg0, boolean arg1) {
}

public CalendarLayoutChangeEvent(String arg0, boolean arg1, boolean arg2) {
}

public CalendarLayoutChangeEvent(String arg0, boolean arg1, boolean arg2, intrinsic.Date arg3) {
}

public CalendarLayoutChangeEvent(String arg0, boolean arg1, boolean arg2, intrinsic.Date arg3, intrinsic.flash.events.Event arg4) {
}


/** Static Methods */

/** Methods */
public native Object clone();

}
